#
# spec file for package texlive-specs-f
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_slice f
%define __perl_requires		%{nil}
%define __os_install_post       /usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}
# skip-check-libtool-deps
%if 0%{?_with_debug:1}
%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
%endif

# skip-check-libtool-deps
Name:           texlive-specs-f
Version:        2012
Release:        5.5.2
Summary:        One spec file for all TeX Live packages
License:        GPL-2.0+ and LGPL-2.1+ and LPPL-1.0 and SUSE-Public-Domain
Group:          Development/Tools/Building
Url:            http://build.opensuse.org/package/show?package=texlive-specs-f&project=Publishing:TeXLive
Source0:        texlive-specs.tar.xz
Source1000:     facsimile.doc.tar.xz
Source1001:     facsimile.tar.xz
Source1002:     facture.doc.tar.xz
Source1003:     facture.tar.xz
Source1004:     faktor.doc.tar.xz
Source1005:     faktor.tar.xz
Source1006:     famt.doc.tar.xz
Source1007:     fancybox.doc.tar.xz
Source1008:     fancybox.tar.xz
Source1009:     fancyhdr-it.doc.tar.xz
Source1010:     fancyhdr.doc.tar.xz
Source1011:     fancyhdr.tar.xz
Source1012:     fancynum.doc.tar.xz
Source1013:     fancynum.tar.xz
Source1014:     fancypar.doc.tar.xz
Source1015:     fancypar.tar.xz
Source1016:     fancyref.doc.tar.xz
Source1017:     fancyref.tar.xz
Source1018:     fancytabs.doc.tar.xz
Source1019:     fancytabs.tar.xz
Source1020:     fancytooltips.doc.tar.xz
Source1021:     fancytooltips.tar.xz
Source1022:     fancyvrb.doc.tar.xz
Source1023:     fancyvrb.tar.xz
Source1024:     fbithesis.doc.tar.xz
Source1025:     fbithesis.tar.xz
Source1026:     fbs.tar.xz
Source1027:     fc.doc.tar.xz
Source1028:     fc.tar.xz
Source1029:     fcltxdoc.doc.tar.xz
Source1030:     fcltxdoc.tar.xz
Source1031:     fdsymbol.doc.tar.xz
Source1032:     fdsymbol.tar.xz
Source1033:     featpost.doc.tar.xz
Source1034:     featpost.tar.xz
Source1035:     fenixpar.doc.tar.xz
Source1036:     fenixpar.tar.xz
Source1037:     feyn.doc.tar.xz
Source1038:     feyn.tar.xz
Source1039:     feynmf.doc.tar.xz
Source1040:     feynmf.tar.xz
Source1041:     fge.doc.tar.xz
Source1042:     fge.tar.xz
Source1043:     fifinddo-info.doc.tar.xz
Source1044:     fifinddo-info.source.tar.xz
Source1045:     fig4latex.doc.tar.xz
Source1046:     fig4latex.tar.xz
Source1047:     figbas.tar.xz
Source1048:     figbib.doc.tar.xz
Source1049:     figbib.tar.xz
Source1050:     figflow.doc.tar.xz
Source1051:     figflow.tar.xz
Source1052:     figsize.doc.tar.xz
Source1053:     figsize.tar.xz
Source1054:     filecontents.doc.tar.xz
Source1055:     filecontents.tar.xz
Source1056:     filehook.doc.tar.xz
Source1057:     filehook.tar.xz
Source1058:     fileinfo.doc.tar.xz
Source1059:     fileinfo.tar.xz
Source1060:     filemod.doc.tar.xz
Source1061:     filemod.tar.xz
Source1062:     finbib.tar.xz
Source1063:     findhyph.doc.tar.xz
Source1064:     findhyph.tar.xz
Source1065:     fink.doc.tar.xz
Source1066:     fink.tar.xz
Source1067:     finstrut.doc.tar.xz
Source1068:     finstrut.tar.xz
Source1069:     first-latex-doc.doc.tar.xz
Source1070:     fix2col.doc.tar.xz
Source1071:     fix2col.tar.xz
Source1072:     fixfoot.doc.tar.xz
Source1073:     fixfoot.tar.xz
Source1074:     fixlatvian.doc.tar.xz
Source1075:     fixlatvian.tar.xz
Source1076:     fixltxhyph.doc.tar.xz
Source1077:     fixltxhyph.tar.xz
Source1078:     fixme.doc.tar.xz
Source1079:     fixme.tar.xz
Source1080:     fixpdfmag.tar.xz
Source1081:     fjodor.doc.tar.xz
Source1082:     fjodor.tar.xz
Source1083:     flabels.doc.tar.xz
Source1084:     flabels.tar.xz
Source1085:     flacards.doc.tar.xz
Source1086:     flacards.tar.xz
Source1087:     flagderiv.doc.tar.xz
Source1088:     flagderiv.tar.xz
Source1089:     flashcards.doc.tar.xz
Source1090:     flashcards.tar.xz
Source1091:     flashmovie.doc.tar.xz
Source1092:     flashmovie.tar.xz
Source1093:     flipbook.doc.tar.xz
Source1094:     flipbook.tar.xz
Source1095:     flippdf.doc.tar.xz
Source1096:     flippdf.tar.xz
Source1097:     float.doc.tar.xz
Source1098:     float.tar.xz
Source1099:     floatrow.doc.tar.xz
Source1100:     floatrow.tar.xz
Source1101:     flowfram.doc.tar.xz
Source1102:     flowfram.tar.xz
Source1103:     fltpoint.doc.tar.xz
Source1104:     fltpoint.tar.xz
Source1105:     fmp.doc.tar.xz
Source1106:     fmp.tar.xz
Source1107:     fmtcount.doc.tar.xz
Source1108:     fmtcount.tar.xz
Source1109:     fn2end.doc.tar.xz
Source1110:     fn2end.tar.xz
Source1111:     fnbreak.doc.tar.xz
Source1112:     fnbreak.tar.xz
Source1113:     fncychap.doc.tar.xz
Source1114:     fncychap.tar.xz
Source1115:     fncylab.doc.tar.xz
Source1116:     fncylab.tar.xz
Source1117:     fnpara.doc.tar.xz
Source1118:     fnpara.tar.xz
Source1119:     fntproof.doc.tar.xz
Source1120:     fntproof.tar.xz
Source1121:     foekfont.doc.tar.xz
Source1122:     foekfont.tar.xz
Source1123:     foilhtml.doc.tar.xz
Source1124:     foilhtml.tar.xz
Source1125:     fonetika.doc.tar.xz
Source1126:     fonetika.tar.xz
Source1127:     font-change.doc.tar.xz
Source1128:     font-change.tar.xz
Source1129:     fontaxes.doc.tar.xz
Source1130:     fontaxes.tar.xz
Source1131:     fontbook.doc.tar.xz
Source1132:     fontbook.tar.xz
Source1133:     fontch.doc.tar.xz
Source1134:     fontch.tar.xz
Source1135:     fontinst.doc.tar.xz
Source1136:     fontinst.tar.xz
Source1137:     fontname.doc.tar.xz
Source1138:     fontname.tar.xz
Source1139:     fontools.doc.tar.xz
Source1140:     fontools.tar.xz
Source1141:     fonts-tlwg.doc.tar.xz
Source1142:     fonts-tlwg.tar.xz
Source1143:     fontspec.doc.tar.xz
Source1144:     fontspec.tar.xz
Source1145:     fonttable.doc.tar.xz
Source1146:     fonttable.tar.xz
Source1147:     fontware.doc.tar.xz
Source1148:     fontwrap.doc.tar.xz
Source1149:     fontwrap.tar.xz
Source1150:     footbib.doc.tar.xz
Source1151:     footbib.tar.xz
Source1152:     footmisc.doc.tar.xz
Source1153:     footmisc.tar.xz
Source1154:     footnoterange.doc.tar.xz
Source1155:     footnoterange.tar.xz
Source1156:     footnpag.doc.tar.xz
Source1157:     footnpag.tar.xz
Source1158:     forarray.doc.tar.xz
Source1159:     forarray.tar.xz
Source1160:     forloop.doc.tar.xz
Source1161:     forloop.tar.xz
Source1162:     formlett.doc.tar.xz
Source1163:     formlett.tar.xz
Source1164:     formular.doc.tar.xz
Source1165:     formular.tar.xz
Source1166:     fouridx.doc.tar.xz
Source1167:     fouridx.tar.xz
Source1168:     fourier.doc.tar.xz
Source1169:     fourier.tar.xz
Source1170:     fouriernc.doc.tar.xz
Source1171:     fouriernc.tar.xz
Source1172:     fp.doc.tar.xz
Source1173:     fp.tar.xz
Source1174:     fpl.doc.tar.xz
Source1175:     fpl.tar.xz
Source1176:     fragmaster.doc.tar.xz
Source1177:     fragmaster.tar.xz
Source1178:     fragments.doc.tar.xz
Source1179:     fragments.tar.xz
Source1180:     frame.doc.tar.xz
Source1181:     frame.tar.xz
Source1182:     framed.doc.tar.xz
Source1183:     framed.tar.xz
Source1184:     frankenstein.doc.tar.xz
Source1185:     frankenstein.tar.xz
Source1186:     frcursive.doc.tar.xz
Source1187:     frcursive.tar.xz
Source1188:     frenchle.doc.tar.xz
Source1189:     frenchle.tar.xz
Source1190:     friulan.doc.tar.xz
Source1191:     friulan.tar.xz
Source1192:     frletter.doc.tar.xz
Source1193:     frletter.tar.xz
Source1194:     frontespizio.doc.tar.xz
Source1195:     frontespizio.tar.xz
Source1196:     ftcap.doc.tar.xz
Source1197:     ftcap.tar.xz
Source1198:     ftnxtra.doc.tar.xz
Source1199:     ftnxtra.tar.xz
Source1200:     fullblck.doc.tar.xz
Source1201:     fullblck.tar.xz
Source1202:     fullwidth.doc.tar.xz
Source1203:     fullwidth.tar.xz
Source1204:     functan.doc.tar.xz
Source1205:     functan.tar.xz
Source1206:     fundus-calligra.doc.tar.xz
Source1207:     fundus-calligra.tar.xz
Source1208:     fundus-cyr.tar.xz
Source1209:     fundus-sueterlin.doc.tar.xz
Source1210:     fundus-sueterlin.tar.xz
Source1211:     fwlw.doc.tar.xz
Source1212:     fwlw.tar.xz
NoSource:       1000
NoSource:       1001
NoSource:       1002
NoSource:       1003
NoSource:       1004
NoSource:       1005
NoSource:       1006
NoSource:       1007
NoSource:       1008
NoSource:       1009
NoSource:       1010
NoSource:       1011
NoSource:       1012
NoSource:       1013
NoSource:       1014
NoSource:       1015
NoSource:       1016
NoSource:       1017
NoSource:       1018
NoSource:       1019
NoSource:       1020
NoSource:       1021
NoSource:       1022
NoSource:       1023
NoSource:       1024
NoSource:       1025
NoSource:       1026
NoSource:       1027
NoSource:       1028
NoSource:       1029
NoSource:       1030
NoSource:       1031
NoSource:       1032
NoSource:       1033
NoSource:       1034
NoSource:       1035
NoSource:       1036
NoSource:       1037
NoSource:       1038
NoSource:       1039
NoSource:       1040
NoSource:       1041
NoSource:       1042
NoSource:       1043
NoSource:       1044
NoSource:       1045
NoSource:       1046
NoSource:       1047
NoSource:       1048
NoSource:       1049
NoSource:       1050
NoSource:       1051
NoSource:       1052
NoSource:       1053
NoSource:       1054
NoSource:       1055
NoSource:       1056
NoSource:       1057
NoSource:       1058
NoSource:       1059
NoSource:       1060
NoSource:       1061
NoSource:       1062
NoSource:       1063
NoSource:       1064
NoSource:       1065
NoSource:       1066
NoSource:       1067
NoSource:       1068
NoSource:       1069
NoSource:       1070
NoSource:       1071
NoSource:       1072
NoSource:       1073
NoSource:       1074
NoSource:       1075
NoSource:       1076
NoSource:       1077
NoSource:       1078
NoSource:       1079
NoSource:       1080
NoSource:       1081
NoSource:       1082
NoSource:       1083
NoSource:       1084
NoSource:       1085
NoSource:       1086
NoSource:       1087
NoSource:       1088
NoSource:       1089
NoSource:       1090
NoSource:       1091
NoSource:       1092
NoSource:       1093
NoSource:       1094
NoSource:       1095
NoSource:       1096
NoSource:       1097
NoSource:       1098
NoSource:       1099
NoSource:       1100
NoSource:       1101
NoSource:       1102
NoSource:       1103
NoSource:       1104
NoSource:       1105
NoSource:       1106
NoSource:       1107
NoSource:       1108
NoSource:       1109
NoSource:       1110
NoSource:       1111
NoSource:       1112
NoSource:       1113
NoSource:       1114
NoSource:       1115
NoSource:       1116
NoSource:       1117
NoSource:       1118
NoSource:       1119
NoSource:       1120
NoSource:       1121
NoSource:       1122
NoSource:       1123
NoSource:       1124
NoSource:       1125
NoSource:       1126
NoSource:       1127
NoSource:       1128
NoSource:       1129
NoSource:       1130
NoSource:       1131
NoSource:       1132
NoSource:       1133
NoSource:       1134
NoSource:       1135
NoSource:       1136
NoSource:       1137
NoSource:       1138
NoSource:       1139
NoSource:       1140
NoSource:       1141
NoSource:       1142
NoSource:       1143
NoSource:       1144
NoSource:       1145
NoSource:       1146
NoSource:       1147
NoSource:       1148
NoSource:       1149
NoSource:       1150
NoSource:       1151
NoSource:       1152
NoSource:       1153
NoSource:       1154
NoSource:       1155
NoSource:       1156
NoSource:       1157
NoSource:       1158
NoSource:       1159
NoSource:       1160
NoSource:       1161
NoSource:       1162
NoSource:       1163
NoSource:       1164
NoSource:       1165
NoSource:       1166
NoSource:       1167
NoSource:       1168
NoSource:       1169
NoSource:       1170
NoSource:       1171
NoSource:       1172
NoSource:       1173
NoSource:       1174
NoSource:       1175
NoSource:       1176
NoSource:       1177
NoSource:       1178
NoSource:       1179
NoSource:       1180
NoSource:       1181
NoSource:       1182
NoSource:       1183
NoSource:       1184
NoSource:       1185
NoSource:       1186
NoSource:       1187
NoSource:       1188
NoSource:       1189
NoSource:       1190
NoSource:       1191
NoSource:       1192
NoSource:       1193
NoSource:       1194
NoSource:       1195
NoSource:       1196
NoSource:       1197
NoSource:       1198
NoSource:       1199
NoSource:       1200
NoSource:       1201
NoSource:       1202
NoSource:       1203
NoSource:       1204
NoSource:       1205
NoSource:       1206
NoSource:       1207
NoSource:       1208
NoSource:       1209
NoSource:       1210
NoSource:       1211
NoSource:       1212
BuildRequires:  buffer
BuildRequires:  ed
BuildRequires:  file
BuildRequires:  fontconfig
BuildRequires:  ghostscript-fonts-std
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
BuildRequires:  texlive-filesystem
BuildConflicts: texinfo
BuildRequires:  xfs
BuildRequires:  xorg-x11-fonts-core
BuildRequires:  xz
BuildArch:      noarch

%description
Use one rpm spec file for repackaging the texmf/texmf-dist
the several tar balls of TeX Live. 

%prep
pushd %_sourcedir
    chmod g-w *.tar.xz
popd
%setup -n texlive-specs -q
%build
(cat > Makefile)<<'EOF'
 topdir=$(abspath ../..)
rootdir=$(topdir)/BUILDROOT
 SHELL := /bin/bash

%%.rpm: root=$(rootdir)/$*.noarch
%%.rpm: %%.spec
	exec > >(exec buffer -s 256k -m 1m -u 10) 2>&1; \
	rpmbuild -ba --buildroot $(root) --define '_srcdefattr (-,root,root)' --define 'rlobs %release' %{?disturl:--define 'disturl %disturl'} $< && \
	rm -rf $(topdir)/BUILD/$*-[0-9]*

%if %{defined build_slice}
specs := $(foreach spec,%build_slice,$(wildcard texlive-$(spec)*.spec))
%else
specs := $(sort $(filter-out texlive-specs.specs,$(wildcard *.spec)))
%endif
rpms := $(specs:.spec=.rpm)

all: $(rpms)
EOF
make topdir=%{_topdir} %{?_smp_mflags}

%install

%files
%defattr(-,root,root,0755)

%changelog
* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867)
- Avoid line break in patch pgf_plain.dif (bnc#823273)
* Tue May  7 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.
* Mon May  6 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)
* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %%post scriptlet.
* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)
* Tue Feb  5 2013 werner@suse.de
- Work around missing support of %%posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)
* Tue Oct  9 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)
* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically
* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0
  Aggregate licenses for spec file without subpackages
* Thu Aug  2 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype
* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches
* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch
* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator
* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719)
* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet
* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin
* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree
* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive
* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script
* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles
* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split
* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run
* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin
* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo
* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables
* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies
* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy
* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel
* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611)
* Mon Jun  4 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server
* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts
* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number
* Thu May 31 2012 werner@suse.de
- Change version/release scheme
- Avoid to list optional loaded but not existing files as required
* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046)
* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file
* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts
* Wed May  9 2012 werner@suse.de
- Make rpm lint happy
* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
